Index: palm/trunk/SCRIPTS/.mrun.config.cuhk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1656)
+++ palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1657)
@@ -1,3 +1,3 @@
-#$Id: .mrun.config.default 1231 2013-09-20 11:25:45Z kanani $
+#$Id: .mrun.config.cuhk 1231 2013-09-20 11:25:45Z knoop $
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -22,47 +22,32 @@
 #
 # The next block contains all informations for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Also replace <hi> by your host identifier (see above <hi> example "lcmy") 
-# in each line!
+# and for generating and running the PALM executable using MPI.
 # Compilernames, cpp-options and compiler-options are assuming
-# an Intel-Compiler and mpich2 on this host! Please change
+# an GNU-Compiler and mpich2 on this host! Please change
 # appropriately, if you are using a different compiler / MPI-Version.
 #
-%tmp_user_catalog  /home/student/tmp                             lccuhk parallel
+# CUHK
+%remote_username   student                                       lccuhk parallel
+%tmp_user_catalog  $HOME/palm/tmp                                lccuhk parallel
 %compiler_name     mpif90                                        lccuhk parallel
-%compiler_name_ser ifort                                         lccuhk parallel
-%cpp_options       -cpp:-D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lccuhk parallel
-%netcdf_inc        -I:/opt/netcdf-3.6.3/include                  lccuhk parallel
-%netcdf_lib        -L/opt/netcdf-3.6.3/lib:-lnetcdf              lccuhk parallel
-%mopts             -j:4                                          lccuhk parallel
-%fopts             -xS:-r8:-nbs:-convert:little_endian:-I:/opt/mpich2/include  lccuhk parallel
-%lopts             -xS:-r8:-nbs:-Vaxlib:-L:/opt/mpich2/lib                     lccuhk parallel
-%remote_username    student                                      lccuhk parallel
-# if you want to use your own hostfile, uncomment next line
-#%hostfile          $base_directory/.hostfile                    lccuhk parallel
-# if you want to load modules on the remote host, use the following line
-#%modules           <replace_by_the_modules_to_be_loaded>        lccuhk parallel
-# if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel
-#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel
+%compiler_name_ser gfortran                                      lccuhk parallel
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__netcdf:-D__parallel   lccuhk parallel
+%netcdf_inc        -I:$HOME/opt/netcdf-3.6.3/include             lccuhk parallel
+%netcdf_lib        -L:$HOME/opt/netcdf-3.6.3/lib:-lnetcdf        lccuhk parallel
+%mopts             -j:8                                          lccuhk parallel
+%fopts             -Ofast                                        lccuhk parallel
+%lopts             -Ofast                                        lccuhk parallel
 #
-#
-%tmp_user_catalog  /home/student/tmp                             lccuhk parallel trace
+# CUHK debug/trace mode
+%remote_username   student                                       lccuhk parallel trace
+%tmp_user_catalog  $HOME/palm/tmp                                lccuhk parallel trace
 %compiler_name     mpif90                                        lccuhk parallel trace
-%compiler_name_ser ifort                                         lccuhk parallel trace
-%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lccuhk parallel trace
-%netcdf_inc        -I:/opt/netcdf-3.6.3/include                  lccuhk parallel trace
-%netcdf_lib        -L/opt/netcdf-3.6.3/lib:-lnetcdf              lccuhk parallel trace
-%mopts             -j:4                                          lccuhk parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lccuhk parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib  lccuhk parallel trace
-%remote_username    student                                      lccuhk parallel trace
-# if you want to use your own hostfile, uncomment next line
-#%hostfile          $base_directory/.hostfile                    lccuhk parallel trace
-# if you want to load modules on the remote host, use the following line
-#%modules           <replace_by_the_modules_to_be_loaded>        lccuhk parallel trace
-# if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel trace
+%compiler_name_ser gfortran                                      lccuhk parallel trace
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__netcdf:-D__parallel   lccuhk parallel trace
+%netcdf_inc        -I:$HOME/opt/netcdf-3.6.3/include             lccuhk parallel trace
+%netcdf_lib        -L:$HOME/opt/netcdf-3.6.3/lib:-lnetcdf        lccuhk parallel trace
+%mopts             -j:8                                          lccuhk parallel trace
+%fopts             -O0:-Wall:-fbacktrace                         lccuhk parallel trace
+%lopts             -O0:-Wall:-fbacktrace                         lccuhk parallel trace
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 1656)
+++ 	(revision )
@@ -1,188 +1,0 @@
-#$Id$
-#column 1          column 2                                   column 3
-#name of variable  value of variable (~ must not be used)     scope
-#----------------------------------------------------------------------------
-%mainprog          palm.f90
-%base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
-%source_path       $base_directory/trunk/SOURCE
-%add_source_path   $base_directory/USER_CODE/$fname
-%depository_path   $base_directory/MAKE_DEPOSITORY
-%use_makefile      true
-#
-# Enter your own host below by adding another line containing in the second
-# column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your operating system, the
-# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
-# (IBM-AIX), or "nec" (NEC-SX), respectively.
-#
-# The next line is just an example. Add your own line below or replace this line.
-%host_identifier   <replace_by_your_hostname>  lcmy
-#
-#
-# The next block contains all informations for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Also replace <hi> by your host identifier (see above <hi> example "lcmy") 
-# in each line!
-# Compilernames, cpp-options and compiler-options are assuming
-# an Intel-Compiler and mpich2 on this host! Please change
-# appropriately, if you are using a different compiler / MPI-Version.
-#
-%tmp_user_catalog  /tmp                                          <hi> parallel
-%compiler_name     mpif90                                        <hi> parallel
-%compiler_name_ser ifort                                         <hi> parallel
-%cpp_options       -cpp:-D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel
-%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel
-%netcdf_lib        -L<replace_by_netcdf_library_path>:-lnetcdf   <hi> parallel
-%mopts             -j:4                                          <hi> parallel
-%fopts             -I:<replace_by_mpi_include path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
-%lopts             -L:<replace_by_mpi_library path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
-# if you want to use your own hostfile, uncomment next line
-#%hostfile          $base_directory/.hostfile                    <hi> parallel
-# if you want this host to be used as a remote host, uncomment next line
-#%remote_username   <replace_by_your_username_on_this_host>      <hi> parallel
-# if you want to load modules on the remote host, use the following line
-#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel
-# if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel
-#
-#
-%tmp_user_catalog  /tmp                                          <hi> parallel trace
-%compiler_name     mpif90                                        <hi> parallel trace
-%compiler_name_ser ifort                                         <hi> parallel trace
-%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel trace
-%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel trace
-%netcdf_lib        -L<replace_by_netcdf_library_path>:-lnetcdf   <hi> parallel trace
-%mopts             -j:4                                          <hi> parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs  <hi> parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs  <hi> parallel trace
-# if you want to use your own hostfile, uncomment next line
-#%hostfile          $base_directory/.hostfile                    <hi> parallel trace
-# if you want this host to be used as a remote host, uncomment next line
-#%remote_username   <replace_by_your_username_on_this_host>      <hi> parallel trace
-# if you want to load modules on the remote host, use the following line
-#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel trace
-# if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel trace
-#
-#
-%write_binary                true                             restart
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
-#----------------------------------------------------------------------------
-#IC:
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
-#----------------------------------------------------------------------------
-# List of input-files
-#----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
-NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
-LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
-#
-#----------------------------------------------------------------------------
-# List of output-files
-#----------------------------------------------------------------------------
-BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
-#
-RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
-RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
-HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
-HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
-CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
-CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-#
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
-DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
-DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
-DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
-DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
-DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
-DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
-DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
-DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
-DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
-DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
-DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
-DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
-DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
-DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
-DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
-DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
-DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
-DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
-DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
-DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
-DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
-DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
-DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
-DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
-DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
-DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
-DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
-DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
-DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
-DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
-DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
-DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
-DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
-DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
-DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
-DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
-DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
-DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
-DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
-DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
-#
-DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.gfortran
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 1656)
+++ palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 1657)
@@ -1,3 +1,3 @@
-#$Id: .mrun.config.imuknb 1446 2014-08-07 10:08:56Z maronga $
+#$Id: .mrun.config.gfortran 1446 2014-08-07 10:08:56Z knoop $
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -41,4 +41,10 @@
 %fopts             -Ofast                                        <hi> parallel
 %lopts             -Ofast                                        <hi> parallel
+# if you want to use your own hostfile, uncomment next line
+#%hostfile          $base_directory/.hostfile                    <hi> parallel
+# if you want to load modules on the remote host, use the following line
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel
+# if you want to perform initial commands on ssh connections, use the following line
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel
 #
 #
@@ -53,4 +59,11 @@
 %fopts             -O0:-Wall:-fbacktrace                         <hi> parallel trace
 %lopts             -O0:-Wall:-fbacktrace                         <hi> parallel trace
+# if you want to use your own hostfile, uncomment next line
+#%hostfile          $base_directory/.hostfile                    <hi> parallel trace
+# if you want to load modules on the remote host, use the following line
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel trace
+# if you want to perform initial commands on ssh connections, use the following line
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel trace
+#
 #
 %write_binary                true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.ifort
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 1657)
+++ palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 1657)
@@ -0,0 +1,187 @@
+#$Id$
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+#
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   <replace_by_your_hostname>  lcmy
+#
+#
+# The next block contains all informations for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace all
+# required paths (given in <>) by the respective paths valid on your host.
+# Also replace <hi> by your host identifier (see above <hi> example "lcmy") 
+# in each line!
+# Compilernames, cpp-options and compiler-options are assuming
+# an Intel-Compiler and mpich2 on this host! Please change
+# appropriately, if you are using a different compiler / MPI-Version.
+#
+#
+%remote_username   <replace_with_your_local_username>            <hi> parallel
+%tmp_user_catalog  $HOME/palm/tmp                                <hi> parallel
+%compiler_name     mpif90                                        <hi> parallel
+%compiler_name_ser ifort                                         <hi> parallel
+%cpp_options       -cpp:-D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel
+%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel
+%netcdf_lib        -L:<replace_by_netcdf_library_path>:-lnetcdf  <hi> parallel
+%mopts             -j:4                                          <hi> parallel
+%fopts             -I:<replace_by_mpi_include path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
+%lopts             -L:<replace_by_mpi_library path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
+# if you want to use your own hostfile, uncomment next line
+#%hostfile          $base_directory/.hostfile                    <hi> parallel
+# if you want to load modules on the remote host, use the following line
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel
+# if you want to perform initial commands on ssh connections, use the following line
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel
+#
+#
+%remote_username   <replace_with_your_local_username>            <hi> parallel trace
+%tmp_user_catalog  $HOME/palm/tmp                                <hi> parallel trace
+%compiler_name     mpif90                                        <hi> parallel trace
+%compiler_name_ser ifort                                         <hi> parallel trace
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel trace
+%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel trace
+%netcdf_lib        -L:<replace_by_netcdf_library_path>:-lnetcdf  <hi> parallel trace
+%mopts             -j:4                                          <hi> parallel trace
+%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs  <hi> parallel trace
+%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs  <hi> parallel trace
+# if you want to use your own hostfile, uncomment next line
+#%hostfile          $base_directory/.hostfile                    <hi> parallel trace
+# if you want to load modules on the remote host, use the following line
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel trace
+# if you want to perform initial commands on ssh connections, use the following line
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel trace
+#
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+# A BLANK LINE MUST FOLLOW
